org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface NavigationTable

All Superinterfaces:
  Table

    public interface NavigationTable
    extends Table

A representation of the model object 'Query Table Instance'. A query customized TableInstance, with a reference to some ModelQueryResult

The following features are supported:

- `Query Results`

See Also:
  `TablePackage.getNavigationTable()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getQueryResults()` Returns the value of the 'Query Results' containment reference list.

### Methods inherited from interface org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.Table

`getCanBePresentedInTheTable, getColumns, getContext, getCustomizations, getDescription, getFacetSets, getLocalCustomizations, getParameter, getRows, getTableConfiguration, isHideEmptyColumns, isOnlyShowCommonColumns, setCanBePresentedInTheTable, setContext, setDescription, setHideEmptyColumns, setOnlyShowCommonColumns, setParameter, setTableConfiguration`

### Method Detail

#### getQueryResults

    <any> getQueryResults()

Returns the value of the 'Query Results' containment reference list. The list contents are of type `ETypedElementResult`.

If the meaning of the 'Query Results' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Query Results' containment reference list.
See Also:
  `TablePackage.getNavigationTable_QueryResults()`
Generated:
Model:
  containment="true"